package com.njcn.pojo.advanced;

import java.util.Date;
import java.util.List;

public class EventsQueryCondition {
	private Date startTime;
	private Date endTime;
	private String strGuid;
	private List<String> listIndex;

	public EventsQueryCondition(Date startTime, Date endTime, String strGuid, List<String> list) {
		super();
		this.startTime = startTime;
		this.endTime = endTime;
		this.strGuid = strGuid;
		this.listIndex = list;
	}

	public List<String> getListIndex() {
		return listIndex;
	}

	public void setListIndex(List<String> listIndex) {
		this.listIndex = listIndex;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getStrGuid() {
		return strGuid;
	}

	public void setStrGuid(String strGuid) {
		this.strGuid = strGuid;
	}

	@Override
	public String toString() {
		return "EventsQueryCondition [startTime=" + startTime + ", endTime=" + endTime + ", strGuid=" + strGuid
				+ ", list=" + listIndex + "]";
	}
}
